Add Webhook Topic Subscription

post/api/webhook-listeners/{listenerId}/subscribe

Add a topic subscription to an existing webhook listener.

Request

Path Parameters

  • listenerIdstringrequired

    Id for the Webhook Listener

Body application/json

  • topicstringrequired

    The topic the Webhook Listener will subscribe to.

Response

Successful operation.

Body application/json

  • idstringrequired

    The unique identifier for the topic subscription.

  • topicstringrequired

    The topic to which the webhook listener is subscribed.

  • listenerIdstringrequired

    The id of the webhook listener associated with this subscription.

  • accountIdstringrequired

    The id of the partner account associated with this subscription.

  • createdAtstringrequired

    The timestamp when the topic subscription was created.